List of all members
clan::OutlineTriangulator Class Reference
clanCore Math

Polygon Tesselator. More...

`#include <outline_triangulator.h>`

## Public Member Functions
Construction
| OutlineTriangulator ()
| Creates a tessellation object. More...
virtual | ~OutlineTriangulator ()
Operations
void | add_vertex (float x, float y, void *data)
| This function specifies a vertex on a polygon. More...
void | next_contour ()
| Mark next contour in polygon path. More...
void | next_polygon ()
| Mark next polygon. More...
void | generate ()
| Converts passed polygons into triangles. More...

## Detailed Description

Polygon Tesselator.

This class uses constrained delauney triangulation to convert polygon outlines into triangles.

The documentation for this class was generated from the following file:

- outline_triangulator.h